Context (Velocity 1.7 API)
Keywords: org.apache.velocity.context.Context interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.context
Interface Context

All Known Subinterfaces:
  InternalContextAdapter

All Known Implementing Classes:
  AbstractContext, ChainedInternalContextAdapter, InternalContextAdapterImpl

public interface Context

Interface describing the application data context. This set of routines is used by the application to set and remove 'named' data object to pass them to the template engine to use when rendering a template. This is the same set of methods supported by the original Context class

Version:
  $Id: Context.java 463298 2006-10-12 16:10:32Z henning $
Author:
  Jason van Zyl, Geir Magnusson Jr.
See Also:
  `AbstractContext`, `VelocityContext`

Method Summary
`boolean` | `containsKey(Object key)` Indicates whether the specified key is in the context.
`Object` | `get(String key)` Gets the value corresponding to the provided key from the context.
`Object[]` | `getKeys()` Get all the keys for the values in the context.
`Object` | `put(String key, Object value)` Adds a name/value pair to the context.
`Object` | `remove(Object key)` Removes the value associated with the specified key from the context.

Method Detail

### put

    public Object put(String key,
                      Object value)

  Adds a name/value pair to the context.

  Parameters:
    `key` - The name to key the provided value with.
    `value` - The corresponding value.
  Returns:
    The old object or null if there was no old object.

### get

    public Object get(String key)

  Gets the value corresponding to the provided key from the context.

  Parameters:
    `key` - The name of the desired value.
  Returns:
    The value corresponding to the provided key.

### containsKey

    public boolean containsKey(Object key)

  Indicates whether the specified key is in the context.

  Parameters:
    `key` - The key to look for.
  Returns:
    Whether the key is in the context.

### getKeys

    public Object[] getKeys()

  Get all the keys for the values in the context.

  Returns:
    All the keys for the values in the context.

### remove

    public Object remove(Object key)

  Removes the value associated with the specified key from the context.

  Parameters:
    `key` - The name of the value to remove.
  Returns:
    The value that the key was mapped to, or `null` if unmapped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.